Elog - Bug #5632

Unknown picture format wipes out comments when submitted
03/11/2014 03:26 PM - Cheng-Yang Tan

Status: Closed Start date: 03/11/2014
Priority: Normal Due date:

Assignee: Kyle Hazelwood % Done: 0%
Category: Server Estimated time: 0.00 hour
Target version: Version 1.0 Spent time: 0.00 hour
Description

When a tif file is used as a picture and submitted to elog, the webbrowser gives "Bad Request: Your browser sent a request that this
server could not understand". It is better to have an error message that says that the picture format is not understood so that the user
can correct it. Or better, elog converts the picture to an understood format.

History

#1 - 03/28/2014 06:32 PM - Kyle Hazelwood
- Category set to Server
- Status changed from New to Assigned

- Assignee set to Kyle Hazelwood

| agree that the error message is lacking. There actually is a detailed error message being sent to the user from the elog, unforutanely it is being
intercepted by the Chablis server proxy first and then sanitzed. | am working with controls to come up with a solution.

#2 - 10/09/2015 10:22 AM - Chip Edstrom

It now appears to indicate a bad file type, stating "edstrom entered invalid input while trying to edit entry 67653. File type for plot.blah.tif not allowed."
Is it possible to make tif a valid type? A PNG or JPEG thumbnail would be nice too, but probably not essential. Also, it would be great if it could
pre-validate upload file types so the user doesn't get an error and lose the note due to an unknown filetype.

#3 - 11/23/2016 10:58 PM - Kyle Hazelwood
- Status changed from Assigned to Closed

- Target version set to Version 1.0

Fixed in new elog version.
